:root {
  --Brand-Yellow: #fcca45;
  --Brand-Blue: #1991c7;
}

.related-video {
  position: relative;
  padding: 2.5rem 0 6.25rem;
}
.related-video-top,
.related-video-bottom {
  position: relative;
  margin-inline: auto;
}
.related-video-top {
  display: flex;
  align-items: flex-end;
  justify-content: space-between;
  max-width: 87.5rem;
  margin-bottom: 2rem;
}
.related-video__title {
  color: #0897d8;
  font-family: "Google Sans";
  font-size: 2.5rem;
  font-style: normal;
  font-weight: 700;
  line-height: 130%;
  letter-spacing: -0.05rem;
  text-box-edge: cap alphabetic;
  text-box-trim: trim-both;
}
.related-video__view-all {
  display: flex;
  height: 3rem;
  padding: 0 1.75rem;
  align-items: center;
  justify-content: center;
  border-radius: 6.25rem;
  color: var(--Brand-Blue, #1991c7);
  border: 1.4px solid var(--Brand-Blue, #1991c7);
  background: #fff;
  transition: all 0.3s ease-out;
}
.related-video__view-all-text {
  font-family: "Google Sans";
  font-size: 1rem;
  font-style: normal;
  font-weight: 500;
  line-height: 150%;
  text-box-edge: cap alphabetic;
  text-box-trim: trim-both;
}
@media screen and (min-width: 1024px) {
  .related-video__view-all:hover {
    color: var(--Brand-Yellow, #fcca45);
    border-color: var(--Brand-Yellow, #fcca45);
    background: rgba(243, 187, 40, 0.04);
  }
}
.related-video__view-all-icon {
  display: flex;
  width: 1.25rem;
  height: 1.25rem;
  align-items: center;
  justify-content: center;
  margin-left: 0.5rem;
  flex-shrink: 0;
}
.related-video__view-all-icon svg {
  width: 100%;
  height: 100%;
}
.related-video-bottom {
  max-width: 88.375rem;
}
.related-video__video-swiper {
  padding-top: 1rem;
  padding-inline: 0.5rem;
}
.related-video__video-swiper-wrapper {
  margin-bottom: 3rem;
}
.related-video__video-swiper-navigation {
  position: absolute;
  top: 14.6875rem;
  left: 50%;
  transform: translateX(-50%);
  width: 96.375rem;
  display: flex;
  align-items: center;
  flex-direction: row-reverse;
  justify-content: space-between;
  z-index: 5;
}
.related-video__video-item-mobile.hidden {
  height: 0 !important;
  min-height: 0 !important;
  overflow: hidden !important;
  margin: 0 !important;
  padding: 0 !important;
  border: 0 !important;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}
.related-video__video-swiper-navigation__btn-prev,
.related-video__video-swiper-navigation__btn-next {
  position: relative;
  margin: 0;
  pointer-events: all;
  border: 1.2px solid var(--Brand-Blue, #1991c7);
  background: rgba(255, 255, 255, 0.1);

  backdrop-filter: blur(6px);
}
.related-video__video-swiper-navigation__btn-prev {
  left: 0;
}
.related-video__video-swiper-navigation__btn-next {
  right: 0;
}

.related-video__video-swiper-pagination {
  width: 15.5rem !important;
  margin-inline: auto;
  display: flex;
  justify-content: center;
}
.related-video__video-swiper-pagination .swiper-pagination-bullet {
  width: 1.4375rem;
  height: 0.1875rem;
  border-radius: 62.5rem;
  opacity: 0.32;
  background: #041821;
  margin-inline: 0 !important;
  transition: all ease 0.3s;
}
.related-video__video-swiper-pagination
  .swiper-pagination-bullet:not(:last-child) {
  margin-right: 0.1875rem !important;
}
.related-video__video-swiper-pagination .swiper-pagination-bullet-active {
  flex: 1 0 0;
  background: #1991c7;
  opacity: 1;
}
.related-video__background {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
}
.related-video__background-image {
  width: 100%;
  height: auto;
}

.related-video__video-list-mobile,
.related-video__video-list-mobile__btn-show-more {
  display: none;
}

@media screen and (max-width: 639.98px) {
  .related-video {
    padding: 0.75rem 1rem 3rem;
  }
  .related-video-top {
    align-items: center;
    margin-bottom: 1.5rem;
  }
  .related-video__title {
    color: #1991c7;
    font-size: 1.25rem;
    line-height: 120%;
    letter-spacing: -0.0125rem;
    text-box-edge: initial;
    text-box-trim: initial;
  }
  .related-video__view-all {
    height: auto;
    border: 0;
    padding: 0;
    border-radius: 0;
  }
  .related-video__view-all-text {
    font-size: 0.875rem;
  }
  .related-video__view-all-icon {
    width: 1rem;
    height: 1rem;
  }
  .related-video__video-swiper,
  .related-video__video-swiper-navigation,
  .related-video__background {
    display: none;
  }

  .related-video__video-list-mobile {
    display: block;
  }
  .related-video__video-item-mobile {
    display: flex;
    align-items: center;
    transition: all ease 0.3s;
  }
  .related-video__video-item-mobile:not(:last-child) {
    margin-bottom: 1rem;
  }
  .related-video__video-item-mobile__link {
    width: 100%;
    display: flex;
    align-items: center;
  }
  .related-video__video-item-mobile__thumbnail {
    position: relative;
    width: 7.8125rem;
    height: 5.4375rem;
    flex-shrink: 0;
    border-radius: 0.75rem;
    overflow: hidden;
  }
  .related-video__video-item-mobile__thumbnail-image,
  .related-video__video-item-mobile__thumbnail-image img {
    width: 100%;
    height: 100%;
  }
  .related-video__video-item-mobile__thumbnail-image img {
    object-fit: cover;
  }
  .related-video__video-item-mobile__thumbnail-btn-play {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 1.75rem;
    height: 1.75rem;
    border-radius: 50%;
    border: 0.4px solid #fdfdfd;
    background: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(39.999996185302734px);
  }
  .related-video__video-item-mobile__content {
    margin-left: 1rem;
    flex: 1 0 0;
  }
  .related-video__video-item-mobile__title {
    color: #08354a;
    font-family: "Google Sans";
    font-size: 1rem;
    font-style: normal;
    font-weight: 600;
    line-height: 150%;
    height: 3rem;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    margin-bottom: 1rem;
  }
  .related-video__video-item-mobile__information {
    display: flex;
    align-items: center;
  }
  .related-video__video-item-mobile__category {
    display: flex;
    align-items: center;
    margin-right: 0.5rem;
  }
  .related-video__video-item-mobile__category::after {
    content: "";
    display: block;
    width: 0.3125rem;
    height: 0.3125rem;
    border-radius: 50%;
    background: #d9d9d9;
    flex-shrink: 0;
    margin-left: 0.5rem;
  }
  .related-video__video-item-mobile__category--empty {
    display: none;
  }
  .related-video__video-item-mobile__category-text {
    color: #1991c7;
    font-family: "Google Sans";
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 500;
    line-height: 120%;
    letter-spacing: 0.0075rem;
    text-transform: uppercase;
  }
  .related-video__video-item-mobile__publish-author {
    flex: 1;
    display: -webkit-box;
    -webkit-line-clamp: 1; /* Số dòng muốn hiển thị */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    overflow: hidden;
    color: var(--Text-Body-40, rgba(22, 22, 22, 0.5));
    /* PC/12/12-M-UP */
    font-family: "Google Sans";
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 500;
    line-height: 120%; /* 0.9rem */
    letter-spacing: 0.0075rem;
    text-transform: uppercase;
  }
  .related-video__video-item-mobile__publish-author span {
    color: var(--Text-Body-DarkBlue-100, #08354a);

    margin-left: 0.25rem;
  }
  .related-video__video-item-mobile__publish-date {
    display: flex;
    align-items: center;
  }
  .related-video__video-item-mobile__publish-date-icon {
    display: inline-block;
    width: 1rem;
    height: 1rem;
    flex-shrink: 0;
  }
  .related-video__video-item-mobile__publish-date-icon img {
    width: 100%;
    height: auto;
  }
  .related-video__video-item-mobile__publish-date-text {
    color: rgba(8, 53, 74, 0.7);
    font-family: "Google Sans";
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 500;
    line-height: 120%;
    letter-spacing: 0.0075rem;
    text-transform: uppercase;
    margin-left: 0.375rem;
  }

  .related-video__video-list-mobile__btn-show-more {
    height: 2.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0rem 1.75rem;
    border-radius: 6.25rem;
    border: 1.4px solid #1991c7;
    margin-inline: auto;
    max-width: fit-content;
    margin-top: 1.5rem;
  }
  .related-video__video-list-mobile__btn-show-more[disabled] {
    opacity: 0.6;
    pointer-events: none;
  }
  .related-video__video-list-mobile__btn-show-more-text {
    color: #1991c7;
    font-family: "Google Sans";
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 500;
    line-height: 150%;
    text-box-edge: cap alphabetic;
    text-box-trim: trim-both;
  }
  .related-video__video-list-mobile__btn-show-more-icon {
    width: 1rem;
    height: 1rem;
    flex-shrink: 0;
    margin-left: 0.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .related-video__video-list-mobile__btn-show-more-icon img {
    width: 100%;
    height: auto;
  }
}
